Skip to main content
GET
/
worlds
/
{world}
/
search
Semantic search
curl --request GET \
  --url https://api.wazoo.dev/worlds/{world}/search \
  --header 'Authorization: Bearer <token>'
[
  {
    "subject": "<string>",
    "predicate": "<string>",
    "object": "<string>",
    "score": 123,
    "worldId": "<string>",
    "vecRank": 123,
    "ftsRank": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

world
string
required

Query Parameters

query
string
required
subjects
string[]
predicates
string[]
types
string[]
limit
integer
default:20
Required range: x <= 100

Response

Search results

subject
string
required
predicate
string
required
object
string
required
score
number
required
worldId
string
required
vecRank
number | null
ftsRank
number | null